Secret API key bound to an environment.
In: header
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_settings"{ "quiet_hours": { "start_minute": -9007199254740991, "end_minute": -9007199254740991 }, "max_per_day": -9007199254740991, "max_per_week": -9007199254740991, "email_consent_mode": "opt_in", "default_locale": "string", "from_name": "string", "reply_to": "string", "brand": { "property1": null, "property2": null }, "revision": -9007199254740991, "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/notification_settings" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "quiet_hours": { "start_minute": 1320, "end_minute": 480 }, "max_per_day": 3 }'{ "quiet_hours": { "start_minute": -9007199254740991, "end_minute": -9007199254740991 }, "max_per_day": -9007199254740991, "max_per_week": -9007199254740991, "email_consent_mode": "opt_in", "default_locale": "string", "from_name": "string", "reply_to": "string", "brand": { "property1": null, "property2": null }, "revision": -9007199254740991, "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_catalog"{ "data": [ { "key": "string", "label": "string", "description": "string", "event_types": [ "string" ], "class": "marketing", "social": true, "variables": [ "string" ], "default_copy": { "title": "string", "body": "string" }, "configured": true } ]}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_message_types"{ "data": [ { "id": "string", "key": "string", "name": "string", "event_types": [ "string" ], "status": "active", "class": "marketing", "routes": [ { "channel": "email", "path": "builtin" } ], "conditions": { "property1": null, "property2": null }, "max_per_day": -9007199254740991, "max_per_week": -9007199254740991, "respect_quiet_hours": true, "variables": [ "string" ], "catalog": true, "revision": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notification_message_types" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "key": "streak_at_risk", "routes": [ { "channel": "mobile_push", "path": "builtin" } ] }'{ "id": "string", "key": "string", "name": "string", "event_types": [ "string" ], "status": "active", "class": "marketing", "routes": [ { "channel": "email", "path": "builtin" } ], "conditions": { "property1": null, "property2": null }, "max_per_day": -9007199254740991, "max_per_week": -9007199254740991, "respect_quiet_hours": true, "variables": [ "string" ], "catalog": true, "revision": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_message_types/string"{ "id": "string", "key": "string", "name": "string", "event_types": [ "string" ], "status": "active", "class": "marketing", "routes": [ { "channel": "email", "path": "builtin" } ], "conditions": { "property1": null, "property2": null }, "max_per_day": -9007199254740991, "max_per_week": -9007199254740991, "respect_quiet_hours": true, "variables": [ "string" ], "catalog": true, "revision": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/notification_message_types/string" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "max_per_day": 1 }'{ "id": "string", "key": "string", "name": "string", "event_types": [ "string" ], "status": "active", "class": "marketing", "routes": [ { "channel": "email", "path": "builtin" } ], "conditions": { "property1": null, "property2": null }, "max_per_day": -9007199254740991, "max_per_week": -9007199254740991, "respect_quiet_hours": true, "variables": [ "string" ], "catalog": true, "revision": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notification_message_types/string/pause" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 2 }'{ "id": "string", "key": "string", "name": "string", "event_types": [ "string" ], "status": "active", "class": "marketing", "routes": [ { "channel": "email", "path": "builtin" } ], "conditions": { "property1": null, "property2": null }, "max_per_day": -9007199254740991, "max_per_week": -9007199254740991, "respect_quiet_hours": true, "variables": [ "string" ], "catalog": true, "revision": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notification_message_types/string/resume" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 2 }'{ "id": "string", "key": "string", "name": "string", "event_types": [ "string" ], "status": "active", "class": "marketing", "routes": [ { "channel": "email", "path": "builtin" } ], "conditions": { "property1": null, "property2": null }, "max_per_day": -9007199254740991, "max_per_week": -9007199254740991, "respect_quiet_hours": true, "variables": [ "string" ], "catalog": true, "revision": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_message_types/string/templates"{ "data": [ { "message_type_id": "string", "channel": "email", "locale": "string", "subject": "string", "title": "string", "body": "string", "html": "string", "url": "string", "updated_by": "string", "updated_at": "2019-08-24T14:15:22Z" } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notification_message_types/string/templates" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "channel": "mobile_push", "locale": "en", "title": "Keep your {{streak_length}} day streak", "body": "One lesson today keeps it alive." }'{ "message_type_id": "string", "channel": "email", "locale": "string", "subject": "string", "title": "string", "body": "string", "html": "string", "url": "string", "updated_by": "string", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthValue in
- "email"
- "web_push"
- "mobile_push"
^[a-z]{2,3}(-[A-Za-z0-9]{2,8})*$length <= 35Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/notification_message_types/string/templates/email/string"Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 100501 <= length <= 2551 <= length <= 60Value in
- "scheduled"
- "sending"
- "sent"
- "delivered"
- "failed"
- "bounced"
- "suppressed"
Value in
- "email"
- "web_push"
- "mobile_push"
- "connector"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_messages"{ "data": [ { "id": "string", "message_type_id": "string", "type_key": "string", "event_type": "string", "customer_id": "string", "actor_customer_id": "string", "channel": "email", "path": "builtin", "status": "scheduled", "reason": "string", "send_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "attempts": -9007199254740991, "provider": "string", "provider_message_id": "string", "locale": "string", "data": { "property1": null, "property2": null }, "rendered": { "property1": null, "property2": null }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Query Parameters
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$date-timeHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_message_stats"{ "since": "2019-08-24T14:15:22Z", "data": [ { "type_key": "string", "channel": "email", "status": "scheduled", "reason": "string", "count": -9007199254740991 } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_messages/string"{ "id": "string", "message_type_id": "string", "type_key": "string", "event_type": "string", "customer_id": "string", "actor_customer_id": "string", "channel": "email", "path": "builtin", "status": "scheduled", "reason": "string", "send_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "attempts": -9007199254740991, "provider": "string", "provider_message_id": "string", "locale": "string", "data": { "property1": null, "property2": null }, "rendered": { "property1": null, "property2": null }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length <= 255Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/notification_contact"{ "customer_id": "string", "email": "string", "email_state": "ok", "email_consent": "unknown", "push_consent": "unknown", "locale": "string", "unsubscribed_all": true, "updated_at": "2019-08-24T14:15:22Z", "reachable": { "email": true, "web_push": true, "mobile_push": true }}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length <= 255Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/notification_contact" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "locale": "en", "email_consent": "opted_in" }'{ "customer_id": "string", "email": "string", "email_state": "ok", "email_consent": "unknown", "push_consent": "unknown", "locale": "string", "unsubscribed_all": true, "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length <= 255Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/notification_devices"{ "data": [ { "id": "string", "kind": "web_push", "platform": "string", "locale": "string", "status": "active", "created_at": "2019-08-24T14:15:22Z", "last_seen_at": "2019-08-24T14:15:22Z" } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length <= 255Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/notification_preferences"{ "unsubscribed_all": true, "email_consent": "unknown", "push_consent": "unknown", "all_types": { "email": true, "web_push": true, "mobile_push": true }, "types": [ { "type_key": "string", "name": "string", "class": "marketing", "channels": { "email": true, "web_push": true, "mobile_push": true } } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length <= 255Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/notification_preferences" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "types": [ { "type_key": "streak_at_risk", "channel": "email", "opted_out": true } ] }'{ "unsubscribed_all": true, "email_consent": "unknown", "push_consent": "unknown", "all_types": { "email": true, "web_push": true, "mobile_push": true }, "types": [ { "type_key": "string", "name": "string", "class": "marketing", "channels": { "email": true, "web_push": true, "mobile_push": true } } ]}Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notifications/unsubscribe"{ "unsubscribed": true, "type_key": "string", "channel": "all", "preferences": { "unsubscribed_all": true, "email_consent": "unknown", "push_consent": "unknown", "all_types": { "email": true, "web_push": true, "mobile_push": true }, "types": [ { "type_key": "string", "name": "string", "class": "marketing", "channels": { "email": true, "web_push": true, "mobile_push": true } } ] }}Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notifications/unsubscribe"{ "unsubscribed": true, "type_key": "string", "channel": "all", "preferences": { "unsubscribed_all": true, "email_consent": "unknown", "push_consent": "unknown", "all_types": { "email": true, "web_push": true, "mobile_push": true }, "types": [ { "type_key": "string", "name": "string", "class": "marketing", "channels": { "email": true, "web_push": true, "mobile_push": true } } ] }}Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notifications/preferences"{ "unsubscribed": true, "type_key": "string", "channel": "all", "preferences": { "unsubscribed_all": true, "email_consent": "unknown", "push_consent": "unknown", "all_types": { "email": true, "web_push": true, "mobile_push": true }, "types": [ { "type_key": "string", "name": "string", "class": "marketing", "channels": { "email": true, "web_push": true, "mobile_push": true } } ] }}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notification_provider_events/resend" \ -H "Content-Type: application/json" \ -d '{ "type": "email.bounced", "created_at": "2026-10-05T09:00:00.000Z", "data": { "email_id": "4ef9a417-02e9-4d39-ad75-9611e0fcc33c", "to": [ "[email protected]" ], "bounce": { "type": "Permanent" } } }'{ "received": true, "applied": true, "duplicate": true}Secret API key bound to an environment.
In: header
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_connectors"{ "data": [ { "id": "string", "kind": "klaviyo", "name": "string", "status": "active", "settings": { "property1": "string", "property2": "string" }, "credential_hint": "string", "revision": -9007199254740991, "last_error": "string", "created_at": "string", "updated_at": "string" } ]}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notification_connectors" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "kind": "braze", "name": "Braze production", "credentials": { "api_key": "your-braze-rest-api-key", "rest_endpoint": "https://rest.iad-01.braze.com" } }'{ "id": "string", "kind": "klaviyo", "name": "string", "status": "active", "settings": { "property1": "string", "property2": "string" }, "credential_hint": "string", "revision": -9007199254740991, "last_error": "string", "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/notification_connectors/string"{ "id": "string", "kind": "klaviyo", "name": "string", "status": "active", "settings": { "property1": "string", "property2": "string" }, "credential_hint": "string", "revision": -9007199254740991, "last_error": "string", "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/notification_connectors/string" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "name": "Braze" }'{ "id": "string", "kind": "klaviyo", "name": "string", "status": "active", "settings": { "property1": "string", "property2": "string" }, "credential_hint": "string", "revision": -9007199254740991, "last_error": "string", "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notification_connectors/string/disable" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 1 }'{ "id": "string", "kind": "klaviyo", "name": "string", "status": "active", "settings": { "property1": "string", "property2": "string" }, "credential_hint": "string", "revision": -9007199254740991, "last_error": "string", "created_at": "string", "updated_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notification_connectors/string/enable" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 1 }'{ "id": "string", "kind": "klaviyo", "name": "string", "status": "active", "settings": { "property1": "string", "property2": "string" }, "credential_hint": "string", "revision": -9007199254740991, "last_error": "string", "created_at": "string", "updated_at": "string"}